Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612123 - rpmbuild rarely fails on s390x
rpmbuild rarely fails on s390x
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
: Regression
Depends On:
Blocks: 582655
  Show dependency treegraph
 
Reported: 2010-07-07 07:12 EDT by Šimon Lukašík
Modified: 2011-03-15 10:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 01:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full rpmbuild log (2.00 KB, text/plain)
2010-07-07 07:12 EDT, Šimon Lukašík
no flags Details
Spec file (663 bytes, text/plain)
2010-07-07 07:13 EDT, Šimon Lukašík
no flags Details
rpmbuild.log (1.84 KB, text/plain)
2010-07-12 17:05 EDT, Šimon Lukašík
no flags Details

  None (edit)
Description Šimon Lukašík 2010-07-07 07:12:09 EDT
Created attachment 430033 [details]
full rpmbuild log

Description of problem:
When building 1000 same rpms, which differs only by name. Time-to-time one of build fails. It happens only on rhel6 s390x.

Version-Release number of selected component (if applicable):
rpm-4.8.0-8.el6.s390x

How reproducible:
very rare

Steps to Reproduce:
1. run /CoreOS/rpm/Sanity/long-list several times
2.
3.
  
Actual results:
+ /usr/lib/rpm/redhat/brp-python-hardlink
/var/tmp/rpm-tmp.I8yduU: line 46: 22815 Segmentation fault      (core dumped) /usr/lib/rpm/redhat/brp-python-hardlink
error: Bad exit status from /var/tmp/rpm-tmp.I8yduU (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.I8yduU (%install)
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.nMsLWY


Expected results:

Additional info:
Comment 1 Šimon Lukašík 2010-07-07 07:13:06 EDT
Created attachment 430035 [details]
Spec file
Comment 5 Panu Matilainen 2010-07-07 09:51:15 EDT
It's not rpm that's crashing but something inside a script which rpm invokes during %install, based on the output that'd be inside brp-python-hardlink.

There's not a whole lot going on in brp-python-hardlink: it's a /bin/sh script which calls "find", comparing the results with "sha1sum" and calling "ln" on matches. One of those commands is segfaulting. Try adding 'ulimit -c unlimited' to the beginning of %install and see if you can catch a core dump or two, that'd tell us what exactly is crashing.
Comment 6 Šimon Lukašík 2010-07-12 17:05:10 EDT
Created attachment 431272 [details]
rpmbuild.log

This is what I get when 'ulimit -c unlimited' added to %install section.

This log comes from task: https://beaker.engineering.redhat.com/recipes/12453#task147136
Comment 7 Šimon Lukašík 2010-07-14 21:14:45 EDT
Please note, that I cannot reproduce it on RHEL6.0-Snapshot-7.

There are beaker recipes, each with 32 runs of original reproducer. None of them caught traceback.

https://beaker.engineering.redhat.com/recipes/13140
https://beaker.engineering.redhat.com/recipes/13153
Comment 8 Šimon Lukašík 2010-07-14 21:17:37 EDT
s/traceback/seg fault/
Comment 9 Šimon Lukašík 2010-07-18 13:52:15 EDT
(In reply to comment #7)
> Please note, that I cannot reproduce it on RHEL6.0-Snapshot-7.
> 
Problem was reported against Snap-6.
Comment 10 Jindrich Novy 2010-07-19 01:48:48 EDT
Closing as it is no more reproducible since snap 7.

Note You need to log in before you can comment on or make changes to this bug.